WP42ContentListener Class Reference documentation

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
WP42ContentListener Class Reference

`#include <WP42ContentListener.h>`

Inheritance diagram for WP42ContentListener:

## Public Member Functions
| WP42ContentListener (std::list< WPXPageSpan > &pageList, librevenge::RVNGTextInterface *documentInterface)
| ~WP42ContentListener () override
void | startDocument () override
void | startSubDocument () override
void | insertCharacter (unsigned character) override
void | insertTab (unsigned char tabType, double tabPosition) override
void | insertBreak (unsigned char breakType) override
void | insertEOL () override
void | attributeChange (bool isOn, unsigned char attribute) override
void | marginReset (unsigned char leftMargin, unsigned char rightMargin) override
void | headerFooterGroup (unsigned char headerFooterDefinition, const std::shared_ptr< WP42SubDocument > &subDocument) override
void | suppressPageCharacteristics (unsigned char) override
void | endDocument () override
void | endSubDocument () override
Public Member Functions inherited from WP42Listener
| WP42Listener ()
virtual | ~WP42Listener ()

## Protected Member Functions
void | _handleSubDocument (const WPXSubDocument *subDocument, WPXSubDocumentType subDocumentType, WPXTableList tableList, unsigned nextTableIndice=0) override
void | _flushText () override
void | _changeList () override
Protected Member Functions inherited from WPXContentListener
| WPXContentListener (std::list< WPXPageSpan > &pageList, librevenge::RVNGTextInterface *documentInterface)
| ~WPXContentListener () override
void | startDocument ()
void | startSubDocument ()
void | endDocument ()
void | endSubDocument ()
void | handleSubDocument (const WPXSubDocument *subDocument, WPXSubDocumentType subDocumentType, WPXTableList tableList, unsigned nextTableIndice)
| Creates an new document state.
void | insertBreak (const unsigned char breakType)
void | lineSpacingChange (const double lineSpacing)
void | justificationChange (const unsigned char justification)
void | _openSection ()
void | _closeSection ()
void | _openPageSpan ()
void | _closePageSpan ()
void | _appendParagraphProperties (librevenge::RVNGPropertyList &propList, const bool isListElement=false)
void | _getTabStops (librevenge::RVNGPropertyListVector &tabStops)
void | _appendJustification (librevenge::RVNGPropertyList &propList, int justification)
void | _resetParagraphState (const bool isListElement=false)
virtual void | _openParagraph ()
void | _closeParagraph ()
void | _openListElement ()
void | _closeListElement ()
void | _openSpan ()
void | _closeSpan ()
void | _openTable ()
void | _closeTable ()
void | _openTableRow (const double height, const bool isMinimumHeight, const bool isHeaderRow)
void | _closeTableRow ()
void | _openTableCell (const unsigned char colSpan, const unsigned char rowSpan, const unsigned char borderBits, const RGBSColor *cellFgColor, const RGBSColor *cellBgColor, const RGBSColor *cellBorderColor, const WPXVerticalAlignment cellVerticalAlignment)
void | _closeTableCell ()
double | _movePositionToFirstColumn (double position)
double | _getNextTabStop () const
double | _getPreviousTabStop () const
void | _insertText (const librevenge::RVNGString &textBuffer)
void | _insertBreakIfNecessary (librevenge::RVNGPropertyList &propList)
void | _insertPageNumberParagraph (WPXPageNumberPosition position, WPXNumberingType type, librevenge::RVNGString fontName, double fontSize)
unsigned | _mapNonUnicodeCharacter (unsigned character)
Protected Member Functions inherited from WPXListener
| WPXListener (std::list< WPXPageSpan > &pageList)
virtual | ~WPXListener ()
bool | isUndoOn ()
void | setUndoOn (bool isOn)

## Private Member Functions
| WP42ContentListener (const WP42ContentListener &)
WP42ContentListener & | operator= (const WP42ContentListener &)

## Private Attributes
std::unique_ptr< WP42ContentParsingState > | m_parseState

## Additional Inherited Members
Protected Attributes inherited from WPXContentListener
std::unique_ptr< WPXContentParsingState > | m_ps
librevenge::RVNGTextInterface * | m_documentInterface
librevenge::RVNGPropertyList | m_metaData
Protected Attributes inherited from WPXListener
std::list< WPXPageSpan > & | m_pageList

## Constructor & Destructor Documentation

## ◆ WP42ContentListener() [1/2]

WP42ContentListener::WP42ContentListener | ( | std::list< WPXPageSpan > & | pageList,
|  | librevenge::RVNGTextInterface * | documentInterface )

## ◆ ~WP42ContentListener()

WP42ContentListener::~WP42ContentListener | ( |  | ) |
| override

## ◆ WP42ContentListener() [2/2]

WP42ContentListener::WP42ContentListener | ( | const WP42ContentListener & |  | ) |
| private

## Member Function Documentation

## ◆ _changeList()

void WP42ContentListener::_changeList | ( |  | ) |
| inlineoverrideprotectedvirtual

Implements WPXContentListener.

Referenced by _handleSubDocument().

## ◆ _flushText()

void WP42ContentListener::_flushText | ( |  | ) |
| overrideprotectedvirtual

Implements WPXContentListener.

Referenced by insertTab().

## ◆ _handleSubDocument()

void WP42ContentListener::_handleSubDocument | ( | const WPXSubDocument * | subDocument,
|  | WPXSubDocumentType | subDocumentType,
|  | WPXTableList | tableList,
|  | unsigned | nextTableIndice = 0 )
| overrideprotectedvirtual

Implements WPXContentListener.

## ◆ attributeChange()

void WP42ContentListener::attributeChange | ( | bool | isOn,
|  | unsigned char | attribute )
| overridevirtual

Implements WP42Listener.

## ◆ endDocument()

void WP42ContentListener::endDocument | ( |  | ) |
| inlineoverridevirtual

Implements WP42Listener.

## ◆ endSubDocument()

void WP42ContentListener::endSubDocument | ( |  | ) |
| inlineoverridevirtual

Implements WP42Listener.

Referenced by WP42Parser::parseSubDocument().

## ◆ headerFooterGroup()

void WP42ContentListener::headerFooterGroup | ( | unsigned char | headerFooterDefinition,
|  | const std::shared_ptr< WP42SubDocument > & | subDocument )
| overridevirtual

Implements WP42Listener.

## ◆ insertBreak()

void WP42ContentListener::insertBreak | ( | unsigned char | breakType | ) |
| inlineoverridevirtual

Implements WP42Listener.

## ◆ insertCharacter()

void WP42ContentListener::insertCharacter | ( | unsigned | character | ) |
| overridevirtual

Implements WP42Listener.

## ◆ insertEOL()

void WP42ContentListener::insertEOL | ( |  | ) |
| overridevirtual

Implements WP42Listener.

## ◆ insertTab()

void WP42ContentListener::insertTab | ( | unsigned char | tabType,
|  | double | tabPosition )
| overridevirtual

Implements WP42Listener.

## ◆ marginReset()

void WP42ContentListener::marginReset | ( | unsigned char | leftMargin,
|  | unsigned char | rightMargin )
| overridevirtual

Implements WP42Listener.

## ◆ operator=()

WP42ContentListener & WP42ContentListener::operator= | ( | const WP42ContentListener & |  | ) |
| private

## ◆ startDocument()

void WP42ContentListener::startDocument | ( |  | ) |
| inlineoverridevirtual

Implements WP42Listener.

## ◆ startSubDocument()

void WP42ContentListener::startSubDocument | ( |  | ) |
| inlineoverridevirtual

Implements WP42Listener.

Referenced by WP42Parser::parseSubDocument().

## ◆ suppressPageCharacteristics()

void WP42ContentListener::suppressPageCharacteristics | ( | unsigned char |  | ) |
| inlineoverridevirtual

Implements WP42Listener.

## Member Data Documentation

## ◆ m_parseState

std::unique_ptr<WP42ContentParsingState> WP42ContentListener::m_parseState
| private

Referenced by _flushText(), _handleSubDocument(), and insertCharacter().

The documentation for this class was generated from the following files:

- WP42ContentListener.h
- WP42ContentListener.cpp